# std::queue::front

From cppreference.com
< cpp‎ | container‎ | queue

reference front(); |  |
const_reference front() const; |  |

Returns reference to the first element in the queue. This element will be the first element to be removed on a call to pop(). Effectively calls c.front().

### Parameters

(none)

### Return value

Reference to the first element.

### Complexity

Constant

### See also

back | access the last element (public member function)
pop | removes the first element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/queue/front&oldid=60968"